#!/bin/bash
mkdir -p /etc/ukui/lite-config

CPU_MODEL=`cat /proc/cpuinfo | grep "model name" | sed -n 1p | awk '{ print $NF }'`
# e2000下绑定到大核
if [ "${CPU_MODEL}" = "Phytium,FT-E2000/Big" ]; then

    #把xorg绑定到大核
    if [ -f /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf ]; then
	ret=`cat /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf| grep xserver-command|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i '/xserver-command/c\xserver-command= taskset -c 0,1 X -core' /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf
	fi
    fi

    #把设置ukui-control-center绑定到大核
    if [ -f /usr/share/applications/ukui-control-center.desktop ]; then
	ret=`cat /usr/share/applications/ukui-control-center.desktop|grep Exec|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i "/^Exec=/c Exec=taskset -c 0,1 ukui-control-center" /usr/share/applications/ukui-control-center.desktop
	fi
    fi
:<<!
    #把peony绑定到大核
    if [ -f /usr/share/applications/peony.desktop ]; then
	ret=`cat /usr/share/applications/peony.desktop|grep Exec|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i "/^Exec=/c Exec=taskset -c 0,1 /usr/bin/peony %U" /usr/share/applications/peony.desktop
	fi
    fi

    if [ -f /usr/share/applications/peony-computer.desktop ]; then
	ret=`cat /usr/share/applications/peony-computer.desktop|grep Exec|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i "/^Exec=/c Exec=taskset -c 0,1 /usr/bin/peony computer:///" /usr/share/applications/peony-computer.desktop
	fi
    fi

    if [ -f /usr/share/applications/peony-home.desktop ]; then
	ret=`cat /usr/share/applications/peony-home.desktop|grep Exec|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i "/^Exec=/c Exec=taskset -c 0,1 /usr/bin/peony" /usr/share/applications/peony-home.desktop
	fi
    fi

    if [ -f /usr/share/applications/peony-trash.desktop ]; then
	ret=`cat /usr/share/applications/peony-trash.desktop|grep Exec|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i "/^Exec=/c Exec=taskset -c 0,1 /usr/bin/peony trash:///" /usr/share/applications/peony-trash.desktop
	fi
    fi
    
    if [ -f /etc/xdg/autostart/peony-desktop.desktop ]; then
	ret=`cat /etc/xdg/autostart/peony-desktop.desktop|grep Exec|grep taskset`
	if [ "x$ret" = "x" ]; then
        	sed -i "/^Exec=/c Exec=taskset -c 0,1 /usr/bin/peony-qt-desktop -w -d" /etc/xdg/autostart/peony-desktop.desktop
	fi
	/usr/bin/killall peony-qt-desktop
    fi
!
fi

# e2000下添加oom测试项
if [ "${CPU_MODEL}" = "Phytium,FT-E2000/Big" ]; then
    if [ -f /lib/systemd/system/lightdm.service ]; then
	ret=`cat /lib/systemd/system/lightdm.service|grep OOMScoreAdjust`
	if [ "x$ret" = "x" ];then
        	sed -i '/^Restart=/ a OOMScoreAdjust=-1000' /lib/systemd/system/lightdm.service
	fi
    fi
fi
